## qubes-utils 2.0.14

=== qmemman/Makefile ===
CC=gcc
CFLAGS=-Wall -Wextra -Werror -g -O3
all:	meminfo-writer

_XENSTORE_H=$(shell ls /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
	CFLAGS+= -DUSE_XENSTORE_H
endif

meminfo-writer: meminfo-writer.o
	$(CC) -g -o meminfo-writer meminfo-writer.o -lxenstore
install:
	install -D meminfo-writer $(DESTDIR)/usr/sbin/meminfo-writer
ifneq (1,${DEBIANBUILD})
	install -d $(DESTDIR)/usr/lib/systemd/system/
	install qubes-meminfo-writer*service $(DESTDIR)/usr/lib/systemd/system/
endif
clean:
	rm -f meminfo-writer xenstore-watch *.o

=== debian/changelog ===
qubes-utils (2.0.14) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qrexec-lib: use _exit in child process to not fire atexit hooks
  * version 2.0.9

  [ Wojciech Zygmunt Porczyk ]
  * move site-packages/qubes/__init__.py from core-admin
  * imgconverter.py: really close stdout in get_through_dvm

  [ Marek Marczykowski-Górecki ]
  * udev: better support device-mapper/LVM
  * version 2.0.10
  * udev: fix perms of udev-block-add-change
  * udev: skip empty device-mapper nodes
  * version 2.0.11
  * udev: filter out template's root device
  * udev: convert device description to ascii only
  * version 2.0.12
  * rpm: add missing dependency

  [ Joanna Rutkowska ]
  * version 2.0.13

  [ Davíð Steinn Geirsson ]
  * Add qmemman to make clean
  * Use xenstore.h when xen >= 4.2
  * Initial native debian packaging

  [ Marek Marczykowski-Górecki ]
  * debian: rename package to qubes-utils, update deps
  * gitignore

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Jul 2014 02:46:39 +0200

qubes-utils (2.0.8) jessie; urgency=low

  * Initial Release.

 -- Davíð Steinn Geirsson <david@dsg.is>  Sun, 20 Apr 2014 21:47:01 +0000

=== debian/control ===
Source: qubes-utils
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends: libvchan-xen-dev, libxen-dev, debhelper (>= 8.0.0), quilt (>= 0.60)
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary

Package: qubes-utils
Architecture: any
Depends: libvchan-xen, lsb-base, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-linux-utils
Recommends: python2.7
Description: Qubes Linux utilities
 This package includes the basic qubes utilities necessary for domU.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(shell pwd)/debian/qubes-utils

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make all LIBDIR=/usr/lib DEBIANBUILD=1

override_dh_auto_install:
	make install LIBDIR=/usr/lib DEBIANBUILD=1

## qubes-utils 2.0.19jessie1

=== Makefile ===
ifeq ($(shell uname -m),x86_64)
LIBDIR = /usr/lib64
else
LIBDIR = /usr/lib
endif
INCLUDEDIR = /usr/include

export LIBDIR INCLUDEDIR

help:
	echo "Use rpmbuild to compile this pacakge"
	exit 0


rpms:
	rpmbuild --define "_rpmdir rpm/" --define "_builddir ." -bb rpm_spec/qubes-utils.spec
all: 
	$(MAKE) -C qrexec-lib all
	$(MAKE) -C qmemman all
	$(MAKE) -C core all

install:
	$(MAKE) -C udev install
	$(MAKE) -C qrexec-lib install
	$(MAKE) -C qmemman install
	$(MAKE) -C core install

clean:
	$(MAKE) -C qrexec-lib clean
	$(MAKE) -C qmemman clean
	$(MAKE) -C core clean

=== core/Makefile ===
PYTHON = /usr/bin/python2
PYTHON_SITEARCH = `python2 -c 'import distutils.sysconfig; print distutils.sysconfig.get_python_lib(1)'`

all:
	$(PYTHON) -m compileall .
	$(PYTHON) -O -m compileall .
.PHONY: all

clean:
	$(RM) *.py[co]
.PHONY: clean

install:
	mkdir -p $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
ifeq (1,${DEBIANBUILD})
	cp *.py $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
else
	cp *.py* $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
endif
.PHONY: install

=== qmemman/Makefile ===
--- 
+++ 
@@ -11,7 +11,10 @@
 	$(CC) -g -o meminfo-writer meminfo-writer.o -lxenstore
 install:
 	install -D meminfo-writer $(DESTDIR)/usr/sbin/meminfo-writer
-ifneq (1,${DEBIANBUILD})
+ifeq (1,${DEBIANBUILD})
+	install -d $(DESTDIR)/lib/systemd/system/
+	install -m 0644 qubes-meminfo-writer.service $(DESTDIR)/lib/systemd/system/
+else
 	install -d $(DESTDIR)/usr/lib/systemd/system/
 	install qubes-meminfo-writer*service $(DESTDIR)/usr/lib/systemd/system/
 endif

=== qrexec-lib/Makefile ===
CC=gcc
CFLAGS+=-I. -g -Wall -Wextra -Werror -pie -fPIC
XENLIBS=-lxenctrl -lxenstore -lvchan
COMMONIOALL=ioall.o
SO_VER=1
LDFLAGS=-shared

_XENSTORE_H=$(shell ls /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
	CFLAGS+= -DUSE_XENSTORE_H
endif


all: libqrexec-utils.so.$(SO_VER) libqubes-rpc-filecopy.so.$(SO_VER)
libqrexec-utils.so.$(SO_VER): unix-server.o ioall.o buffer.o write-stdin.o exec.o txrx-vchan.o
	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^ $(XENLIBS)
libqubes-rpc-filecopy.so.$(SO_VER): ioall.o copy-file.o crc32.o unpack.o
	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^

%.a:
	$(AR) rcs $@ $^
clean:
	rm -f *.o *~ *.a *.so.*

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp libqrexec-utils.so.$(SO_VER) $(DESTDIR)$(LIBDIR)
	ln -s libqrexec-utils.so.$(SO_VER) $(DESTDIR)$(LIBDIR)/libqrexec-utils.so
	cp libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)
	ln -s libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)/libqubes-rpc-filecopy.so
	mkdir -p $(DESTDIR)$(INCLUDEDIR)
	cp libqrexec-utils.h $(DESTDIR)$(INCLUDEDIR)
	cp libqubes-rpc-filecopy.h $(DESTDIR)$(INCLUDEDIR)
	cp qrexec.h $(DESTDIR)$(INCLUDEDIR)

=== udev/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/etc/udev/rules.d
	cp udev-qubes-block.rules $(DESTDIR)/etc/udev/rules.d/99-qubes-block.rules
	cp udev-qubes-usb.rules $(DESTDIR)/etc/udev/rules.d/99-qubes-usb.rules

	mkdir -p $(DESTDIR)/usr/libexec/qubes
	cp udev-block-add-change $(DESTDIR)/usr/libexec/qubes/
	cp udev-block-remove $(DESTDIR)/usr/libexec/qubes/
	cp udev-block-cleanup $(DESTDIR)/usr/libexec/qubes/
	cp udev-usb-add-change $(DESTDIR)/usr/libexec/qubes/
	cp udev-usb-remove $(DESTDIR)/usr/libexec/qubes/

=== debian/changelog ===
qubes-utils (2.0.19jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Sun, 01 Feb 2015 02:07:49 +0000

qubes-utils (2.0.19) jessie; urgency=medium

  * debian: O_TMPFILE already defined

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 01 Feb 2015 03:07:29 +0100

qubes-utils (2.0.18) jessie; urgency=medium

  * filecopy: fix handling ENOENT error

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 23 Jan 2015 01:22:10 +0100

qubes-utils (2.0.17) jessie; urgency=medium

  * filecopy: really do not use O_TMPFILE when use_tmpfile==0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Jan 2015 16:07:40 +0100

qubes-utils (2.0.16) jessie; urgency=medium

  * filecopy: create new file unaccessible to the user until fully
    written

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Jan 2015 18:05:35 +0100

qubes-utils (2.0.15) jessie; urgency=medium

  [ HW42 ]
  * use systemd in debian

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Dec 2014 04:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
-Build-Depends: libvchan-xen-dev, libxen-dev, debhelper (>= 8.0.0), quilt (>= 0.60)
+Build-Depends: libvchan-xen-dev, libxen-dev, debhelper (>= 8.0.0), quilt (>= 0.60), dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://www.qubes-os.org
 Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@ --with=systemd
 
 override_dh_auto_build:
 	make all LIBDIR=/usr/lib DEBIANBUILD=1

## qubes-utils 2.0.20jessie1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-ifeq ($(shell uname -m),x86_64)
-LIBDIR = /usr/lib64
-else
-LIBDIR = /usr/lib
+ifndef LIBDIR
+  ifeq ($(shell uname -m),x86_64)
+  LIBDIR = /usr/lib64
+  else
+  LIBDIR = /usr/lib
+  endif
 endif
 INCLUDEDIR = /usr/include

=== qmemman/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 CC=gcc
 CFLAGS=-Wall -Wextra -Werror -g -O3
+SBINDIR ?= /usr/sbin
+
 all:	meminfo-writer
 
 _XENSTORE_H=$(shell ls /usr/include/xenstore.h)
@@ -10,7 +12,7 @@
 meminfo-writer: meminfo-writer.o
 	$(CC) -g -o meminfo-writer meminfo-writer.o -lxenstore
 install:
-	install -D meminfo-writer $(DESTDIR)/usr/sbin/meminfo-writer
+	install -D meminfo-writer $(DESTDIR)$(SBINDIR)/meminfo-writer
 ifeq (1,${DEBIANBUILD})
 	install -d $(DESTDIR)/lib/systemd/system/
 	install -m 0644 qubes-meminfo-writer.service $(DESTDIR)/lib/systemd/system/

=== debian/changelog ===
qubes-utils (2.0.20jessie1) jessie; urgency=medium

  * Build for jessie

 -- Olivier MEDOC <user@devel18>  Tue, 10 Feb 2015 15:43:44 +0000

qubes-utils (2.0.20) jessie; urgency=medium

  * archlinux: fix new packaging requirements related to run, sbin,
    lib64...

 -- Olivier MEDOC <o_medoc@yahoo.fr>  Mon, 02 Feb 2015 00:19:22 +0100

## qubes-utils 4.0.22%2Bdeb8u1

=== Makefile ===
ifeq ($(shell uname -m),x86_64)
LIBDIR ?= /usr/lib64
else
LIBDIR ?= /usr/lib
endif
SCRIPTSDIR ?= /usr/lib/qubes
SYSLIBDIR ?= /lib
INCLUDEDIR ?= /usr/include

export LIBDIR SCRIPTSDIR SYSLIBDIR INCLUDEDIR

help:
	echo "Use rpmbuild to compile this pacakge"
	exit 0


rpms:
	rpmbuild --define "_rpmdir rpm/" --define "_builddir ." -bb rpm_spec/qubes-utils.spec
all:
	$(MAKE) -C qrexec-lib all
	$(MAKE) -C qmemman all
	$(MAKE) -C imgconverter all

install:
	$(MAKE) -C udev install
	$(MAKE) -C qrexec-lib install
	$(MAKE) -C qmemman install
	$(MAKE) -C imgconverter install

install-fedora-kernel-support:
	$(MAKE) -C dracut install
	$(MAKE) -C kernel-modules install

install-debian-kernel-support:
	$(MAKE) -C initramfs-tools install
	$(MAKE) -C dracut install
	$(MAKE) -C kernel-modules install
	# expand module version
	rm -f debian/qubes-kernel-vm-support.dkms
	echo debian/tmp/usr/src/u2mfn-*/dkms.conf > debian/qubes-kernel-vm-support.dkms

clean:
	$(MAKE) -C qrexec-lib clean
	$(MAKE) -C qmemman clean
	$(MAKE) -C imgconverter clean

=== dracut/Makefile ===
install:
	$(MAKE) -C simple
	$(MAKE) -C full-dmroot
	$(MAKE) -C full-modules

=== initramfs-tools/Makefile ===
install:
	install -D local-top/qubes_cow_setup.sh \
		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/qubes_cow_setup
	install -D qubes_vm \
		$(DESTDIR)/usr/share/initramfs-tools/hooks/qubes_vm

=== debian/changelog ===
qubes-utils (4.0.22+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@build-debian4>  Mon, 29 Oct 2018 01:40:34 +0000

qubes-utils (4.0.22) unstable; urgency=medium

  * tests: skip img converter test if qubes-img-converter is not
    installed
  * imgconverter: allow icons up to 2048x2048
  * tests: skip the other img converter test too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 01:03:59 +0100

qubes-utils (4.0.21) unstable; urgency=medium

  [ Rusty Bird ]
  * Order qubes-meminfo-writer-dom0 before systemd-user-sessions

  [ Marek Marczykowski-Górecki ]
  * rpm: adjust for fc29
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 00:25:11 +0200

qubes-utils (4.0.20) unstable; urgency=medium

  * udev: create /dev/mapper/dmroot -> xvda3 symlink when its mounted
    directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 03 Jul 2018 21:11:00 +0200

qubes-utils (4.0.19) unstable; urgency=medium

  * rpm: use proper macros for systemd handling
  * travis: add centos7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 May 2018 17:55:09 +0200

qubes-utils (4.0.18) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * udev: don't call udev-block-add-change for devices excluded by other
    rules
  * rpm: preparation for src.rpm building

  [ Frédéric Pierret ]
  * Makefile.builder: currently disable Mock
  * Remove _builddir
  * Fix debug symbols
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update Fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Apr 2018 14:36:39 +0200

qubes-utils (4.0.17) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix python3 package names with respect to CentOS for consistency
    with python34 names
  * Remove busybox as it is not provided in RHEL7 anymore
  * centos: fix python packages names
  * drop busybox dependance

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 15:17:12 +0100

qubes-utils (4.0.16) unstable; urgency=medium

  * qrexec: provide common function for handling service call
  * debian: adjust required version after adding new function

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 Feb 2018 00:05:31 +0100

qubes-utils (4.0.15) unstable; urgency=medium

  * udev: update detecting usbip-connected devices

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Jan 2018 19:07:40 +0100

qubes-utils (4.0.14) unstable; urgency=medium

  [ Reynir Björnsson ]
  * Remove duplicate #define

  [ Rusty Bird ]
  * udev-block-add-change: ignore unconnected Network Block Device

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Jan 2018 06:16:05 +0100

qubes-utils (4.0.13) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * imgconverter: fix make_padlock function
  * Update tests
  * travis: run imgconverter unit tests
  * Make tests python3 compatible
  * travis: run tests also on python3
  * travis: enable deploy stage for master-staging -> master gate

  [ Gianluca Guida ]
  * Fix qrexec-lib headers

  [ Marek Marczykowski-Górecki ]
  * imgconverter: fix handling explicit file type
  * tests: integration tests for qvm-convert-img
  * travis: run only unit tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Dec 2017 02:50:19 +0100

qubes-utils (4.0.12) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: make it easier to spot missing files in debian/*.install
  * debian: include drauct module in qubes-kernel-vm-support

  [ Patrick Schleizer ]
  * qubes-kernel-vm-support compatibility with dracut

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 12 Dec 2017 01:41:52 +0100

qubes-utils (4.0.11) unstable; urgency=medium

  [ qubesuser ]
  * remove unused cairo import
  * add Python pillow and numpy dependencies
  * use PIL image library instead of ImageMagick to load/save images
    when tinting
  * reimplement tint algorithm with numpy for reasonable performance
  * replace tinting algorithm with one that partially preserves
    saturation too

  [ Marek Marczykowski-Górecki ]
  * Add missing classmethod decorator
  * Make udev-block-add-change executable again

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:34:50 +0100

qubes-utils (4.0.10) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: build imgconverter with both python2 and python3

  [ qubesuser ]
  * Speed up udev-block-add-change by not using xenstore

  [ Your Name ]
  * This commit specifies the integer width explicitly to match
    `result_header_ext` etc.

  [ Marek Marczykowski-Górecki ]
  * Initialize pad field in filecopy final response

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 04:46:49 +0100

qubes-utils (4.0.9) unstable; urgency=medium

  * Fix initramfs scripts on Debian
  * qubes-prepare-vm-kernel: Include kernel and initramfs inside
    modules.img
  * initramfs: add support for variable partitions layout

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Oct 2017 23:54:15 +0200

qubes-utils (4.0.8) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix CentOS dependencies: python3

  [ Marek Marczykowski-Górecki ]
  * travis: add fc26 build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 30 Sep 2017 01:59:38 +0200

qubes-utils (4.0.7) unstable; urgency=medium

  [ Olivier MEDOC ]
  * Fix gcc Werror because of a typo in a switch/case explicit
    fallthrough comment

  [ Marek Marczykowski-Górecki ]
  * udev: fix loop devices exclusion based on directory flagfile

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2017 13:43:18 +0200



## qubes-utils 4.0.22%2Bdeb9u1

=== dracut/simple/Makefile ===
install:
	install -d $(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm-simple
	install module-setup.sh init.sh \
		$(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm-simple/

=== debian/changelog ===
qubes-utils (4.0.22+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian4>  Mon, 29 Oct 2018 01:41:53 +0000

## qubes-utils 4.0.23%2Bdeb8u1

=== kernel-modules/u2mfn/Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

obj-m                       += u2mfn.o

clean:
	rm -f *.o *.ko *~
	rm -f .u2mfn.* *.mod.c Module.symvers modules.order
	rm -fr .tmp_versions
	rm -f Makefile.xen

=== debian/changelog ===
qubes-utils (4.0.23+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Mon, 25 Feb 2019 21:46:52 +0100

qubes-utils (4.0.23) unstable; urgency=medium

  * Disable scrubbing memory pages during initial balloon down
  * dracut: fix checking for "Root filesystem" label, improve udev sync
  * dracut: add a flag file indicating scrub-pages option support
  * Adjust permissions of /dev/xen/hypercall
  * Do not use /proc/xen for detecting dom0 anymore
  * Really install xen-scrub-pages dracut module
  * Add xen_scrub_pages=0 kernel option only if initramfs was rebuilt

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Feb 2019 21:46:52 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(shell pwd)/debian/tmp

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=systemd,dkms

override_dh_auto_build:
	make all LIBDIR=/usr/lib DEBIANBUILD=1

override_dh_auto_install:
	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb
	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1 
	# dom0-only file
	rm -f $(DESTDIR)/usr/sbin/qubes-prepare-vm-kernel

override_dh_install:
	dh_install --fail-missing

## qubes-utils 4.0.23%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.23+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 25 Feb 2019 21:46:52 +0100

## qubes-utils 4.0.23%2Bdeb10u1

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CC=gcc
-CFLAGS+=-I. -g -Wall -Wextra -Werror -pie -fPIC
-XENLIBS=-lxenctrl -lxenstore -lvchan
+CFLAGS+=-I. -g -O2 -Wall -Wextra -Werror -pie -fPIC `pkg-config --cflags vchan-$(BACKEND_VMM)`
 COMMONIOALL=ioall.o
-SO_VER=1
-LDFLAGS=-shared
+SO_VER=2
+LDFLAGS+=-shared
+VCHANLIBS = `pkg-config --libs vchan-$(BACKEND_VMM)`
 
 _XENSTORE_H=$(shell ls /usr/include/xenstore.h)
 ifneq "$(_XENSTORE_H)" ""
@@ -12,9 +12,9 @@
 
 
 all: libqrexec-utils.so.$(SO_VER) libqubes-rpc-filecopy.so.$(SO_VER)
-libqrexec-utils.so.$(SO_VER): unix-server.o ioall.o buffer.o write-stdin.o exec.o txrx-vchan.o
-	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^ $(XENLIBS)
-libqubes-rpc-filecopy.so.$(SO_VER): ioall.o copy-file.o crc32.o unpack.o
+libqrexec-utils.so.$(SO_VER): unix-server.o ioall.o buffer.o exec.o txrx-vchan.o write-stdin.o
+	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^ $(VCHANLIBS)
+libqubes-rpc-filecopy.so.$(SO_VER): ioall.o copy-file.o crc32.o unpack.o pack.o
 	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^
 
 %.a:

=== debian/changelog ===
qubes-utils (4.0.23+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 25 Feb 2019 21:46:52 +0100

=== debian/control ===
Source: qubes-utils
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
 libvchan-xen-dev,
 libxen-dev,
 pkg-config,
 debhelper (>= 9.0.0),
 dh-systemd,
 dkms,
 python-setuptools,
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary

Package: qubes-utils
Architecture: any
Depends: libvchan-xen, lsb-base, python-pil, python-numpy, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-linux-utils
Breaks: qubes-core-agent (<< 3.1.4)
Recommends: python2.7
Description: Qubes Linux utilities
 This package includes the basic qubes utilities necessary for domU.

Package: qubes-kernel-vm-support
Architecture: any
Recommends: initramfs-tools
Depends: dkms, ${misc:Depends}
Description: Qubes VM kernel and initramfs modules
 This package contains:
 1. mkinitramfs module required to setup Qubes VM root filesystem. This package
 is needed in VM only when the VM uses its own kernel (via pvgrub or so).
 Otherwise initrd is provided by dom0.
 .
 2. u2mfn kernel module sources (dkms) required by GUI agent and R2 version of
 libvchan library.

Package: libqrexec-utils2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Library of common functions of qrexec agent and daemon
 This library contains common helper functions for qrexec agent and daemon.

Package: libqubes-rpc-filecopy2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Qubes file copy protocol library
 This library can be used for both sending files using qfile protocol and for
 receiving them.

Package: libqrexec-utils-dev
Architecture: any
Section: libdevel
Depends: libqrexec-utils2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile qrexec-agent and qrexec-daemon.

Package: libqubes-rpc-filecopy-dev
Architecture: any
Section: libdevel
Depends: libqubes-rpc-filecopy2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile Qubes file copy related
 utilities like qfile-agent.

## qubes-utils 4.0.24%2Bdeb8u1

=== debian/changelog ===
qubes-utils (4.0.24+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Thu, 06 Jun 2019 21:30:30 +0200

qubes-utils (4.0.24) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Declare u2mfn module version, skip build for qubes kernels

  [ Frédéric Pierret (fepitre) ]
  * python3: use macro pkgversion
  * travis: switch to xenial
  * travis: remove older Fedora releases and add Fedora 30

  [ Marek Marczykowski-Górecki ]
  * initramfs: use overlayfs for /lib/modules, if available

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Jun 2019 21:30:30 +0200

## qubes-utils 4.0.24%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.24+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 06 Jun 2019 21:30:30 +0200

## qubes-utils 4.0.24%2Bdeb10u1

=== Makefile ===
--- 
+++ 
@@ -30,11 +30,13 @@
 install-fedora-kernel-support:
 	$(MAKE) -C dracut install
 	$(MAKE) -C kernel-modules install
+	$(MAKE) -C grub install-fedora
 
 install-debian-kernel-support:
 	$(MAKE) -C initramfs-tools install
 	$(MAKE) -C dracut install
 	$(MAKE) -C kernel-modules install
+	$(MAKE) -C grub install-debian
 	# expand module version
 	rm -f debian/qubes-kernel-vm-support.dkms
 	echo debian/tmp/usr/src/u2mfn-*/dkms.conf > debian/qubes-kernel-vm-support.dkms

=== kernel-modules/Makefile ===
ver		:= $(shell cat ../version)
srcdir	:= /usr/src/u2mfn-$(ver)

install:	install-u2mfn install-scripts

install-scripts:
	install -d $(DESTDIR)/usr/sbin
	install qubes-prepare-vm-kernel $(DESTDIR)/usr/sbin

install-u2mfn:
	install -d $(DESTDIR)$(srcdir)
	install -m 644 u2mfn/u2mfn.c u2mfn/Makefile $(DESTDIR)$(srcdir)
	sed -e 's#@@VERSION@@#$(ver)#' u2mfn/dkms.conf.in > $(DESTDIR)$(srcdir)/dkms.conf

=== debian/changelog ===
qubes-utils (4.0.24+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 06 Jun 2019 21:30:30 +0200

## qubes-utils 4.0.25%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.25+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 10 Jun 2019 00:42:47 +0200

qubes-utils (4.0.25) unstable; urgency=medium

  * initrd: mount / rw for the overlayfs setup time

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Jun 2019 00:42:47 +0200

## qubes-utils 4.0.25%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.25+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 10 Jun 2019 00:42:47 +0200

## qubes-utils 4.0.26%2Bdeb8u1

=== debian/changelog ===
qubes-utils (4.0.26+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Sat, 28 Sep 2019 12:11:44 +0200

qubes-utils (4.0.26) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * u2mfn: Make compatible with kernel versions >= 5.3.y

  [ Marek Marczykowski-Górecki ]
  * rpm: update python2 deps

  [ xaki23 ]
  * align volatile swap partition to 1Mb instead of 512b

  [ Marek Marczykowski-Górecki ]
  * Disable BLS config style in grub

  [ xaki23 ]
  * partition full volatile for non-COW setups too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Sep 2019 12:11:44 +0200

## qubes-utils 4.0.26%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.26+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 28 Sep 2019 12:11:44 +0200

## qubes-utils 4.0.26%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.26+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 28 Sep 2019 12:11:44 +0200

## qubes-utils 4.0.26%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.26+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 28 Sep 2019 12:11:44 +0200

## qubes-utils 4.0.27%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.27+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 31 Jan 2020 03:54:15 +0100

qubes-utils (4.0.27) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * travis: update python versions

  [ Patrick Schleizer ]
  * qubes-kernel-vm-support.preinst create folder /boot/grub
  * qubes-kernel-vm-support.postinst run update-grub

  [ Marek Marczykowski-Górecki ]
  * debian: fix dependencies of qubes-kernel-vm-support pkg

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 31 Jan 2020 03:54:15 +0100

## qubes-utils 4.0.27%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.27+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 31 Jan 2020 03:54:15 +0100

## qubes-utils 4.0.27%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.27+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 31 Jan 2020 03:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,12 @@
 
 Package: qubes-kernel-vm-support
 Architecture: any
-Recommends: initramfs-tools
-Depends: dkms, ${misc:Depends}
+Depends:
+ dkms,
+ busybox,
+ initramfs-tools | dracut,
+ grub2-common,
+ ${misc:Depends}
 Description: Qubes VM kernel and initramfs modules
  This package contains:
  1. mkinitramfs module required to setup Qubes VM root filesystem. This package

## qubes-utils 4.0.28%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.28+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:08:38 +0100

qubes-utils (4.0.28) unstable; urgency=medium

  [ Ilpo Järvinen ]
  * Use proc_ops instead of file_operations on 5.6 kernels
  * Get virt_to_phys from header

  [ Paweł Marczewski ]
  * Image.get_through_dvm: support Python 3
  * qubesimgconverter: include Python 3 version in Debian package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Mar 2020 02:08:38 +0100

## qubes-utils 4.0.28%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.28+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:08:38 +0100

## qubes-utils 4.0.28%2Bdeb11u1

=== imgconverter/Makefile ===
PYTHON ?= python

all:
	$(PYTHON) setup.py build
.PHONY: all

clean:
	$(PYTHON) setup.py clean
.PHONY: clean

install:
	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
#ifeq (1,${DEBIANBUILD})
#	cp *.py $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
#else
#	cp *.py* $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
#endif
.PHONY: install

=== debian/changelog ===
qubes-utils (4.0.28+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-systemd,
  dkms,
  python-setuptools,
+ python3-setuptools,
 Standards-Version: 3.9.3
 Homepage: http://www.qubes-os.org
 Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
@@ -20,7 +21,7 @@
 Depends: libvchan-xen, lsb-base, python-pil, python-numpy, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-linux-utils
 Breaks: qubes-core-agent (<< 3.1.4)
-Recommends: python2.7
+Recommends: python3
 Description: Qubes Linux utilities
  This package includes the basic qubes utilities necessary for domU.

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,13 @@
 
 override_dh_auto_install:
 	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb
-	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1 
+	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1
 	# dom0-only file
 	rm -f $(DESTDIR)/usr/sbin/qubes-prepare-vm-kernel
 
+	# qubesimgconverter for python3
+	rm -rf imgconverter/build
+	make -C imgconverter install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb PYTHON=python3
+
 override_dh_install:
 	dh_install --fail-missing

## qubes-utils 4.0.29%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.29+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 02 Jul 2020 04:28:57 +0200

qubes-utils (4.0.29) unstable; urgency=medium

  * debian: add Provides: python3-qubesimgconverter

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Jul 2020 04:28:57 +0200

## qubes-utils 4.0.29%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.29+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 02 Jul 2020 04:28:57 +0200

## qubes-utils 4.0.29%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.29+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 02 Jul 2020 04:28:57 +0200

## qubes-utils 4.0.30%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.30+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 05 Jul 2020 03:49:44 +0200

qubes-utils (4.0.30) unstable; urgency=medium

  * debian: drop python2 on bullseye
  * travis: update config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Jul 2020 03:49:44 +0200

## qubes-utils 4.0.30%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.30+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 05 Jul 2020 03:49:44 +0200

## qubes-utils 4.0.30%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.30+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 05 Jul 2020 03:49:44 +0200

## qubes-utils 4.0.31%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.31+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 25 Oct 2020 03:40:39 +0100

qubes-utils (4.0.31) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * dracut: remove useless use of basename

  [ Rusty Bird ]
  * imgconverter: make output reproducible by omitting timestamps

  [ Marek Marczykowski-Górecki ]
  * debian: don't fail package install on missing /var/lib/qubes
  * makefile: use 'python2' explicitly when needed, instead of just
    'python'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 25 Oct 2020 03:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Conflicts: qubes-linux-utils
 Breaks: qubes-core-agent (<< 3.1.4)
 Recommends: python3
+Provides: python3-qubesimgconverter
 Description: Qubes Linux utilities
  This package includes the basic qubes utilities necessary for domU.

## qubes-utils 4.0.31%2Bdeb10u1

=== imgconverter/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON ?= python
+PYTHON ?= python2
 
 all:
 	$(PYTHON) setup.py build

=== debian/changelog ===
qubes-utils (4.0.31+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 25 Oct 2020 03:40:39 +0100

## qubes-utils 4.0.31%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.31+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 25 Oct 2020 03:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: qubes-utils
 Architecture: any
-Depends: libvchan-xen, lsb-base, python-pil, python-numpy, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
+Depends: libvchan-xen, lsb-base, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-linux-utils
 Breaks: qubes-core-agent (<< 3.1.4)
 Recommends: python3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(shell pwd)/debian/tmp

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=systemd,dkms

override_dh_auto_build:
	make all LIBDIR=/usr/lib DEBIANBUILD=1

override_dh_auto_install:
	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb PYTHON=python3
	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1
	# dom0-only file
	rm -f $(DESTDIR)/usr/sbin/qubes-prepare-vm-kernel

override_dh_install:
	dh_install --fail-missing

## qubes-utils 4.0.32%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.32+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 17 Mar 2021 03:16:24 +0100

qubes-utils (4.0.32) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: add custom jobs
  * ci: add coverage

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

  [ Demi Marie Obenour ]
  * Fix some links to more modern versions
  * Meminfo writer comes before user logins
  * Modernize systemd unit files
  * Validate remote filename before displaying it

  [ Marek Marczykowski-Górecki ]
  * Revert "debian: drop python2 on bullseye"

  [ Paweł Marczewski ]
  * Drop Python 2 support

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 17 Mar 2021 03:16:24 +0100

## qubes-utils 4.0.32%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.32+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 17 Mar 2021 03:16:24 +0100

## qubes-utils 4.0.32%2Bdeb11u1

=== ci/requirements.txt ===
Pillow
numpy
coverage
codecov

=== debian/changelog ===
qubes-utils (4.0.32+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 17 Mar 2021 03:16:24 +0100

## qubes-utils 4.0.33%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.33+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 13 May 2021 06:27:53 +0200

qubes-utils (4.0.33) wheezy; urgency=medium

  [ Shawn Anastasio ]
  * Makefile: remove broken 32-bit host check

  [ Frédéric Pierret (fepitre) ]
  * kernel-vm-support: add make as BR

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 06:27:53 +0200

## qubes-utils 4.0.33%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.33+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 13 May 2021 06:27:53 +0200

## qubes-utils 4.0.33%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.0.33+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 13 May 2021 06:27:53 +0200

## qubes-utils 4.0.34%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.34+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 16 Jun 2021 17:24:35 +0200

qubes-utils (4.0.34) unstable; urgency=medium

  * makefile: specify PYTHON at build stage too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 16 Jun 2021 17:24:35 +0200

## qubes-utils 4.0.34%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.34+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 16 Jun 2021 17:24:35 +0200

## qubes-utils 4.0.35%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.0.35+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 10 Jan 2022 05:05:55 +0100

qubes-utils (4.0.35) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: allow matching python3.10 in %files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Jan 2022 05:05:55 +0100

## qubes-utils 4.0.35%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.0.35+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 10 Jan 2022 05:05:55 +0100

## qubes-utils 4.0.35%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,4 @@
-ifeq ($(shell uname -m),x86_64)
 LIBDIR ?= /usr/lib64
-else
-LIBDIR ?= /usr/lib
-endif
 SCRIPTSDIR ?= /usr/lib/qubes
 SYSLIBDIR ?= /lib
 INCLUDEDIR ?= /usr/include

=== debian/changelog ===
qubes-utils (4.0.35+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 10 Jan 2022 05:05:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,13 @@
  libvchan-xen-dev,
  libxen-dev,
  pkg-config,
- debhelper (>= 9.0.0),
- dh-systemd,
  dkms,
- python-setuptools,
+ debhelper,
  python3-setuptools,
-Standards-Version: 3.9.3
-Homepage: http://www.qubes-os.org
-Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary
+Standards-Version: 4.4.0.1
+Homepage: https://www.qubes-os.org
+Vcs-Git: https://github.com/QubesOS/qubes-linux-utils.git
+Vcs-Browser: https://github.com/QubesOS/qubes-linux-utils
 
 Package: qubes-utils
 Architecture: any

## qubes-utils 4.1.0%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.0+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 08 Jun 2019 03:20:55 +0200

qubes-utils (4.1.0) unstable; urgency=medium

  * Remove qrexec related files
  * Remove u2mfn module
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jun 2019 03:20:55 +0200

## qubes-utils 4.1.0%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.0+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 08 Jun 2019 03:20:55 +0200

## qubes-utils 4.1.1%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 10 Jun 2019 00:48:40 +0200

qubes-utils (4.1.1) unstable; urgency=medium

  * initrd: mount / rw for the overlayfs setup time

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Jun 2019 00:48:40 +0200

## qubes-utils 4.1.1%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 10 Jun 2019 00:48:40 +0200

## qubes-utils 4.1.1%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 10 Jun 2019 00:48:40 +0200

=== debian/control ===
Source: qubes-utils
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
 libxen-dev,
 pkg-config,
 debhelper (>= 9.0.0),
 dh-systemd,
 python-setuptools,
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary

Package: qubes-utils
Architecture: any
Depends: lsb-base, python-pil, python-numpy, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-linux-utils
Breaks: qubes-core-agent (<< 3.1.4)
Recommends: python2.7
Description: Qubes Linux utilities
 This package includes the basic qubes utilities necessary for domU.

Package: qubes-kernel-vm-support
Architecture: any
Recommends: initramfs-tools
Depends: ${misc:Depends}
Description: Qubes VM kernel and initramfs modules
 This package contains:
 1. mkinitramfs module required to setup Qubes VM root filesystem. This package
 is needed in VM only when the VM uses its own kernel (via pvgrub or so).
 Otherwise initrd is provided by dom0.

Package: libqubes-rpc-filecopy2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Qubes file copy protocol library
 This library can be used for both sending files using qfile protocol and for
 receiving them.

Package: libqubes-rpc-filecopy-dev
Architecture: any
Section: libdevel
Depends: libqubes-rpc-filecopy2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile Qubes file copy related
 utilities like qfile-agent.

## qubes-utils 4.1.2%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.2+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 22 Sep 2019 05:10:19 +0200

qubes-utils (4.1.2) unstable; urgency=medium

  [ xaki23 ]
  * align volatile swap partition to 1Mb instead of 512b

  [ Marek Marczykowski-Górecki ]
  * rpm: update python2 deps
  * Disable BLS config style in grub

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Sep 2019 05:10:19 +0200

## qubes-utils 4.1.2%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 22 Sep 2019 05:10:19 +0200

## qubes-utils 4.1.3%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.3+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 07 Dec 2019 05:50:26 +0100

qubes-utils (4.1.3) unstable; urgency=medium

  [ xaki23 ]
  * partition full volatile for non-COW setups too

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * travis: update python versions

  [ Patrick Schleizer ]
  * qubes-kernel-vm-support.preinst create folder /boot/grub
  * qubes-kernel-vm-support.postinst run update-grub

  [ Marek Marczykowski-Górecki ]
  * debian: fix dependencies of qubes-kernel-vm-support pkg

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Dec 2019 05:50:26 +0100

## qubes-utils 4.1.3%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.3+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 07 Dec 2019 05:50:26 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,11 @@
 
 Package: qubes-kernel-vm-support
 Architecture: any
-Recommends: initramfs-tools
-Depends: ${misc:Depends}
+Depends:
+ busybox,
+ initramfs-tools | dracut,
+ grub2-common,
+ ${misc:Depends}
 Description: Qubes VM kernel and initramfs modules
  This package contains:
  1. mkinitramfs module required to setup Qubes VM root filesystem. This package

## qubes-utils 4.1.3%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.3+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 07 Dec 2019 05:50:26 +0100

## qubes-utils 4.1.4%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.4+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:33:41 +0100

qubes-utils (4.1.4) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31

  [ Rusty Bird ]
  * Remove syncfs fallback for ancient glibc (Debian 7)

  [ Paweł Marczewski ]
  * Add Image.get_from_stream_async
  * Drop Python 2 support
  * Image.get_through_dvm: update for Python 3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Mar 2020 02:33:41 +0100

## qubes-utils 4.1.4%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.4+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:33:41 +0100

## qubes-utils 4.1.4%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.4+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 17 Mar 2020 02:33:41 +0100

## qubes-utils 4.1.5%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.5+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 22 Mar 2020 03:40:02 +0100

qubes-utils (4.1.5) unstable; urgency=medium

  [ Paweł Marczewski ]
  * Image.get_through_dvm: support Python 3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Mar 2020 03:40:02 +0100

## qubes-utils 4.1.5%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.5+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 22 Mar 2020 03:40:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  pkg-config,
  debhelper (>= 9.0.0),
  dh-systemd,
- python-setuptools,
+ python3-setuptools,
 Standards-Version: 3.9.3
 Homepage: http://www.qubes-os.org
 Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
@@ -18,7 +18,7 @@
 Depends: lsb-base, python-pil, python-numpy, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-linux-utils
 Breaks: qubes-core-agent (<< 3.1.4)
-Recommends: python2.7
+Recommends: python3
 Description: Qubes Linux utilities
  This package includes the basic qubes utilities necessary for domU.

## qubes-utils 4.1.5%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 22 Mar 2020 03:40:02 +0100

## qubes-utils 4.1.6%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.6+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 01 Apr 2020 05:58:21 +0200

qubes-utils (4.1.6) unstable; urgency=medium

  [ Paweł Marczewski ]
  * Image.get_from_stream_async(): fix large sizes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2020 05:58:21 +0200
